gem updateでエラーが出た時の対処法

@iwasaki 391views 更新:2016年6月10日
 sudo gem update --system

しようとして以下の様なエラーが出た場合

Updating rubygems-update
Fetching: rubygems-update-2.6.4.gem (100%)
ERROR:  While executing gem ... (Errno::EPERM)
    Operation not permitted - /usr/bin/update_rubygems

以下のようにインストール先を指定するといいようです。

sudo gem update --system -n /usr/local/bin
sudo gem install -n /usr/local/bin cocoapods

参考

http://qiita.com/Y-Mukoyama/items/c0c545e28ab162af2b91

http://qiita.com/AcaiBowl/items/4bb4708de03e6ee14a4a

http://stackoverflow.com/questions/33015875/operation-not-permitted-usr-bin-update-rubygems/33045368

ログイン / 新規登録してコメントする

このソースコードをストックして後で利用したり、作業に利用したソースコードをまとめることができます。

こちらもお役に立つかもしれません